<div class="container-content-list-finance">
  <mat-form-field appearance="outline">
    <mat-label>Pesquisar</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Pesquise..." #input>
  </mat-form-field>

  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

      <!-- ID Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>

      <!-- Item Column -->
      <ng-container matColumnDef="item">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ITEM </th>
        <td mat-cell *matCellDef="let row"> {{row.item}} </td>
      </ng-container>

      <!-- Categoria Column -->
      <ng-container matColumnDef="categoria">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> CATEGORIA </th>
        <td mat-cell *matCellDef="let row"> {{row.categoria}} </td>
      </ng-container>

      <!-- Valor Column -->
      <ng-container matColumnDef="valor">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> VALOR </th>
        <td mat-cell *matCellDef="let row"> R$ {{row.valor}},00 </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>
</div>
